Retrieve login activity
curl --request GET \
--url https://api.hubapi.com/account-info/v3/activity/login \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/account-info/v3/activity/login"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/account-info/v3/activity/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"countryCode": "ie",
"email": "person3@testdomain.com",
"id": "5432653",
"ipAddress": "45.56.67.89",
"loginAt": "2022-04-01T19:36:24.303Z",
"loginSucceeded": true,
"regionCode": "d",
"userAgent": "Mozilla/5.0 (Linux; Android 11; M2101K6G)",
"userId": 876
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Audit Logs
Retrieve login activity
Retrieve logs of user actions related to login activity.
GET
/
account-info
/
v3
/
activity
/
login
Retrieve login activity
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page. Max value of limit is 200.
Identifier of user to retrieve activities for
Last modified on March 30, 2026
Was this page helpful?
⌘I